From 643b954e93d6d57baff511fe6d80e2fbae01058d Mon Sep 17 00:00:00 2001
From: Bharath Rupireddy <bharath.rupireddyforpostgres@gmail.com>
Date: Fri, 9 Sep 2022 03:38:11 +0000
Subject: [PATCH v1] Use double datatype for percentiles in pgstattuple

pgstattuple uses datatype double for other percentile calculations
and expose those values to the users via float8 datatype. However,
scanned_percent in struct output_type is of uint64, change it to
use double to be inline with other percentiles.

Reported-by: Peter Eisentraut
Author: Bharath Rupireddy
Reviewed-by: Peter Eisentraut
Discussion: https://www.postgresql.org/message-id/36ee692b-232f-0484-ce94-dc39d82021ad%40enterprisedb.com
---
 contrib/pgstattuple/pgstatapprox.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/contrib/pgstattuple/pgstatapprox.c b/contrib/pgstattuple/pgstatapprox.c
index 15ddc32239..af53978064 100644
--- a/contrib/pgstattuple/pgstatapprox.c
+++ b/contrib/pgstattuple/pgstatapprox.c
@@ -38,7 +38,7 @@ Datum		pgstattuple_approx_internal(Oid relid, FunctionCallInfo fcinfo);
 typedef struct output_type
 {
 	uint64		table_len;
-	uint64		scanned_percent;
+	double		scanned_percent;
 	uint64		tuple_count;
 	uint64		tuple_len;
 	double		tuple_percent;
-- 
2.34.1

